Last Comment Bug 696167 - test_contextmenu.html doesn't respect highlighter preference
: test_contextmenu.html doesn't respect highlighter preference
Status: RESOLVED FIXED
[qa-]
:
Product: Firefox
Classification: Client Software
Component: General (show other bugs)
: 9 Branch
: x86 Mac OS X
: -- normal (vote)
: Firefox 10
Assigned To: Dave Camp (:dcamp)
:
Mentors:
Depends on: 587134
Blocks: 689808 712871
  Show dependency treegraph
 
Reported: 2011-10-20 12:13 PDT by Dave Camp (:dcamp)
Modified: 2011-12-22 22:44 PST (History)
4 users (show)
bugzillamozillaorg_serge_20140323: in‑testsuite+
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---
-
fixed


Attachments
Conditionalize inspect context menu items. (9.71 KB, patch)
2011-10-20 12:13 PDT, Dave Camp (:dcamp)
gavin.sharp: review+
asa: approval‑mozilla‑aurora+
Details | Diff | Review

Description Dave Camp (:dcamp) 2011-10-20 12:13:03 PDT
Created attachment 568465 [details] [diff] [review]
Conditionalize inspect context menu items.

Test fails when the highlighter is disabled.  This is preventing us from turning off the highlighter on aurora.
Comment 2 :Margaret Leibovic 2011-10-27 11:45:31 PDT
https://hg.mozilla.org/mozilla-central/rev/2248a6de7c07
Comment 3 Anthony Hughes (:ashughes) [GFX][QA][Mentor] 2011-11-21 17:44:44 PST
Where can the testcase be found to verify this fix?
Comment 4 Dave Camp (:dcamp) 2011-11-29 13:24:31 PST
Not sure what you need, but this modified browser/base/content/test/test_contextmenu.html

Without it, the test would have failed in aurora 9 when we disabled the highlighter.

Note You need to log in before you can comment on or make changes to this bug.